1. 环境准备

1)安装git

yum -y install git

2)安装curl

yum -y install curl

3)安装docker

yum -y install docker

4)安装 docker-compose

docker-complse需要通过pip安装,需要先安装python-pip,安装python-pip需要先安装epel。执行:

yum -y install epel-release
yum -y install python-pip

  • 更新pip

pip install –upgrade pip

  • 安装docker-compose

pip install docker-compose

安装过程中出现jsonschema 3.2.0 has requirement six>=1.11.0, but you’ll have six 1.9.0 which is incompatible,执行pip install six –user -U
安装过程中出现no acceptable C compiler found in $PATH,执行yum groupinstall “Development tools”
安装过程中出现 Python.h: No such file or directory,执行yum -y install python-devel.x86_64

5)启动docker

systemctl start docker

6)安装GO语言

Go语言需要1.13.x及以上版本。

a) 去官网下载go语言包

wget https://dl.google.com/go/go1.13.5.linux-amd64.tar.gz

b) 解压

tar -C /usr/local -xzf go1.13.5.linux-amd64.tar.gz

c) 配置环境变量

vi ~/.bash_profile

在末尾追加下面两行,如果已经有相关配置,需要合并一下

PATH=PATH:HOME/bin:/usr/local/go/bin
export PATH

执行下面代码使环境变量立即生效

. .bash_profile

7)安装python

python需要2.7版本,安装方法参考官网。

8)安装nodejs

nodejs需要 8.9.4以上,或者10.15.3以上,安装方法参考官网。

2. 下载fabric-sample代码和必要的docker镜像

这步可以通过下载并运行官方的脚本来自动帮我们完成所有的工作。

curl -sSL https://raw.githubusercontent.com/hyperledger/fabric/master/scripts/bootstrap.sh | bash -s

安装后,fabric-sample/bin下目录结构如下:

文章来源于互联网,如有雷同请联系站长删除:CentOS安装超级账本项目Hyperledger fabric (一)

发表评论